# Uses of Class
org.apache.felix.http.base.internal.runtime.dto.FailedDTOHolder

Packages that use FailedDTOHolder
Package
Description
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime.dto
org.apache.felix.http.base.internal.whiteboard

## Uses of FailedDTOHolder in org.apache.felix.http.base.internal.registry

Methods in org.apache.felix.http.base.internal.registry with parameters of type FailedDTOHolder
Modifier and Type
Method
Description
`void`
PerContextHandlerRegistry.`getRuntime(org.osgi.service.servlet.runtime.dto.ServletContextDTO dto, FailedDTOHolder failedDTOHolder)`
Create all DTOs for servlets, filters, resources and error pages
`boolean`
HandlerRegistry.`getRuntimeInfo(@NotNull org.osgi.service.servlet.runtime.dto.ServletContextDTO dto, @NotNull FailedDTOHolder failedDTOHolder)`

## Uses of FailedDTOHolder in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto that return FailedDTOHolder
Modifier and Type
Method
Description
`FailedDTOHolder`
RegistryRuntime.`getFailedDTOHolder()`
Constructors in org.apache.felix.http.base.internal.runtime.dto with parameters of type FailedDTOHolder
Modifier
Constructor
Description
``
`RegistryRuntime(FailedDTOHolder failedDTOHolder, Collection<org.osgi.service.servlet.runtime.dto.ServletContextDTO> contextDTOs, Collection<org.osgi.service.servlet.runtime.dto.PreprocessorDTO> preprocessorDTOs)`

## Uses of FailedDTOHolder in org.apache.felix.http.base.internal.whiteboard

Methods in org.apache.felix.http.base.internal.whiteboard with parameters of type FailedDTOHolder
Modifier and Type
Method
Description
`void`
FailureStateHandler.`getRuntimeInfo(FailedDTOHolder failedDTOHolder)`